更新上El Capitan之后使用ruby依赖的相关包出现问题,包括cocoapod,sass,compass等。
输入命令后提示 command not found.找到原因是因为ruby的位置换了(这里不甚了解)。
例如错误:

ERROR:  While executing gem ... (Errno::EPERM)
Operation not permitted - /usr/bin/sass

找到的一个解决办法是;

sudo gem install -n /usr/local/bin GEM_NAME_HERE

话说难道不能直接替换ruby的源吗,感觉这样做不太科学(其实也感觉不方便)。
应该有一个变量地址记录着Ruby的地址的吧,但是“该怎么做”还没找到。


找到一个解决的博文:
点击这里